import {getTexture} from './utils'

// export class Ball extends engine.Container{

//     constructor(){
//         super()
        
//     }
//     public balls:engine.Sprite[] = [];
//     public addBall(){
//         let ball = new engine.Sprite(getTexture('780b6b63-3abd-4246-94ba-2a3fbdb3c5af'));
    
//         ball.x = Math.random() * (750 - ball.width ) ;
//         ball.y = Math.random() * (ball.height);
//         // this.balls.push(ball)
//         return ball;
//     }

//     public ballMove(balls){
//         // setInterval(()=>{
//             for(let ball of balls){
//                 ball.y += 1;
//             }
//         // },16)
//     }


//     public crash(ball,bullet){

//         let y = bullet.y - ball.y;
//         // let x = bullet.x - ball.x;
//         let bulletRight = bullet.x + bullet.width;
//         if(bulletRight > ball.x && bulletRight < (ball.x + ball.width) || bullet.x > ball.x && bullet.x < (ball.x + ball.width)){
//             if(y <= 0){
//                 // 击中  移除敌机
//                 let idnex = this.balls.indexOf(ball);
//                 delete this.balls[idnex]
//                 this.balls.length --;
//                 return true;
//             }
//         }
//         return false;

//     }



// }

export default class Ball extends engine.Container{
    name:string
    // 生命值
    _life:number;
    _ball:engine.Sprite
    constructor(life:number,ball:engine.Sprite){
        super();
        this._life = life;
        this._ball = ball;
    }

    public addBall(ball){
        ball.x = Math.random() * (750 - ball.width ) ;
        ball.y = Math.random() * (ball.height);
        this.mouseChildren = true;
        return ball;
    }

    
    public died(life){
        if(life === 0){
            // 移除
            return true;
        }
        return false;
    }




}